> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate SSO Login

> Initialize the login process with SSO by returning the IdP URL to call.

#### Authentication

No authentication required.

#### Required Permissions

No authentication required.


## OpenAPI

````yaml /openapi.yaml post /auth/login/sso/init
openapi: 3.1.0
info:
  version: 1.795.3
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/login/sso/init:
    post:
      tags:
        - Auth
      summary: Initiate SSO Login
      description: Initialize the login process with SSO by returning the IdP URL to call.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                orgId:
                  type: string
                  minLength: 1
                  maxLength: 64
                  pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                  description: Organization id.
                  example: or-30tnh-itmjs-s235s5ontr3r23h2
                clientId:
                  type: string
                  description: Client Id obtained from the IdP
                redirectUri:
                  type: string
                  format: uri
                  description: Redirect URI used for the authentication flow
              required:
                - orgId
                - clientId
                - redirectUri
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  ssoRedirectUrl:
                    type: string
                    format: uri
                    description: The URL to redirect the user to authenticate with the IdP
                required:
                  - ssoRedirectUrl
      security:
        - {}

````